#ifndef CHEIGHTFIELD_H
#define CHEIGHTFIELD_H

#include <CVector3T.h>

template <typename T>
class CHeightField
{
	public:

		CHeightField()
		{
			mVertex = NULL;
			mNormals = NULL;
			mWidth = 0;
			mHeight = 0;
		}

		void MakeNormals(void);



		CVector3<T>* mVertex;
		CVector3<T>* mNormals;
		int          mWidth;
		int          mHeight;

	protected:

		void MakeNormal(int x, int y, CVector3<float>* norm);

};

#include "CHeightField.hpp"

#endif
